Index: /trunk/SophyaPI/DemoPIApp/Makefile
===================================================================
--- /trunk/SophyaPI/DemoPIApp/Makefile	(revision 2768)
+++ /trunk/SophyaPI/DemoPIApp/Makefile	(revision 2769)
@@ -14,8 +14,8 @@
 
 %.so:$(SOPHYAOBJP)%.o
-	$(CXXLINK) -shared -o $@ $< $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -shared -o $@ $< $(SOPHYAALLSLBLIST)
 
 $(SOPHYAOBJP)%.o:%.cc 
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@ $<
 
 $(SOPHYAOBJP)%.o:%.c
Index: /trunk/SophyaProg/Tests/Makefile
===================================================================
--- /trunk/SophyaProg/Tests/Makefile	(revision 2768)
+++ /trunk/SophyaProg/Tests/Makefile	(revision 2769)
@@ -12,187 +12,188 @@
 	echo $@ " done"
 $(SOPHYAEXEP)arrt: $(SOPHYAOBJP)arrt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)arrt.o $(SOPHYAALLSLBLIST)
  
 carrt: $(SOPHYAEXEP)carrt
 	echo $@ " done"
 $(SOPHYAEXEP)carrt: $(SOPHYAOBJP)carrt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)carrt.o $(SOPHYAALLSLBLIST)
  
 lpk: $(SOPHYAEXEP)lpk
 	echo $@ " done"
 $(SOPHYAEXEP)lpk: $(SOPHYAOBJP)lpk.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)lpk.o $(SOPHYAALLSLBLIST)
  
 obj_fits: $(SOPHYAEXEP)obj_fits
 	echo $@ " done"
 $(SOPHYAEXEP)obj_fits: $(SOPHYAOBJP)obj_fits.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)obj_fits.o $(SOPHYAALLSLBLIST)
  
 ovharr: $(SOPHYAEXEP)ovharr
 	echo $@ " done"
 $(SOPHYAEXEP)ovharr: $(SOPHYAOBJP)ovharr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)ovharr.o $(SOPHYAALLSLBLIST)
  
 pizthr: $(SOPHYAEXEP)pizthr
 	echo $@ " done"
 $(SOPHYAEXEP)pizthr: $(SOPHYAOBJP)pizthr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pizthr.o $(SOPHYAALLSLBLIST)
  
 ppftswap: $(SOPHYAEXEP)ppftswap
 	echo $@ " done"
 $(SOPHYAEXEP)ppftswap: $(SOPHYAOBJP)ppftswap.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)ppftswap.o $(SOPHYAALLSLBLIST)
  
 spar: $(SOPHYAEXEP)spar
 	echo $@ " done"
 $(SOPHYAEXEP)spar: $(SOPHYAOBJP)spar.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)spar.o $(SOPHYAALLSLBLIST)
  
 sphg0: $(SOPHYAEXEP)sphg0
 	echo $@ " done"
 $(SOPHYAEXEP)sphg0: $(SOPHYAOBJP)sphg0.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)sphg0.o $(SOPHYAALLSLBLIST)
  
 sph2lm: $(SOPHYAEXEP)sph2lm
 	echo $@ " done"
 $(SOPHYAEXEP)sph2lm: $(SOPHYAOBJP)sph2lm.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)sph2lm.o $(SOPHYAALLSLBLIST)
  
 tcmd: $(SOPHYAEXEP)tcmd
 	echo $@ " done"
 $(SOPHYAEXEP)tcmd: $(SOPHYAOBJP)tcmd.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tcmd.o $(SOPHYAALLSLBLIST)
  
 tcxxcmpldynl: $(SOPHYAEXEP)tcxxcmpldynl
 	echo $@ " done"
 $(SOPHYAEXEP)tcxxcmpldynl: $(SOPHYAOBJP)tcxxcmpldynl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tcxxcmpldynl.o $(SOPHYAALLSLBLIST)
  
 tdcr: $(SOPHYAEXEP)tdcr
 	echo $@ " done"
 $(SOPHYAEXEP)tdcr: $(SOPHYAOBJP)tdcr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tdcr.o $(SOPHYAALLSLBLIST)
  
 tdynl: $(SOPHYAEXEP)tdynl
 	echo $@ " done"
 $(SOPHYAEXEP)tdynl: $(SOPHYAOBJP)tdynl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tdynl.o $(SOPHYAALLSLBLIST)
  
 tfft: $(SOPHYAEXEP)tfft
 	echo $@ " done"
 $(SOPHYAEXEP)tfft: $(SOPHYAOBJP)tfft.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tfft.o $(SOPHYAALLSLBLIST)
  
 thash: $(SOPHYAEXEP)thash
 	echo $@ " done"
 $(SOPHYAEXEP)thash: $(SOPHYAOBJP)thash.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)thash.o $(SOPHYAALLSLBLIST)
  
 timg: $(SOPHYAEXEP)timg
 	echo $@ " done"
 $(SOPHYAEXEP)timg: $(SOPHYAOBJP)timg.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)timg.o $(SOPHYAALLSLBLIST)
  
 tmxv: $(SOPHYAEXEP)tmxv
 	echo $@ " done"
 $(SOPHYAEXEP)tmxv: $(SOPHYAOBJP)tmxv.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tmxv.o $(SOPHYAALLSLBLIST)
  
 tnt: $(SOPHYAEXEP)tnt
 	echo $@ " done"
 $(SOPHYAEXEP)tnt: $(SOPHYAOBJP)tnt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tnt.o $(SOPHYAALLSLBLIST)
  
 tobjio2: $(SOPHYAEXEP)tobjio2
 	echo $@ " done"
 $(SOPHYAEXEP)tobjio2: $(SOPHYAOBJP)tobjio2.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tobjio2.o $(SOPHYAALLSLBLIST)
  
 tobjio: $(SOPHYAEXEP)tobjio
 	echo $@ " done"
 $(SOPHYAEXEP)tobjio: $(SOPHYAOBJP)tobjio.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tobjio.o $(SOPHYAALLSLBLIST)
  
 tpipe: $(SOPHYAEXEP)tpipe
 	echo $@ " done"
 $(SOPHYAEXEP)tpipe: $(SOPHYAOBJP)tpipe.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tpipe.o $(SOPHYAALLSLBLIST)
  
 tsimplex: $(SOPHYAEXEP)tsimplex
 	echo $@ " done"
 $(SOPHYAEXEP)tsimplex: $(SOPHYAOBJP)tsimplex.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsimplex.o $(SOPHYAALLSLBLIST)
  
 tsphereecp: $(SOPHYAEXEP)tsphereecp
 	echo $@ " done"
 $(SOPHYAEXEP)tsphereecp: $(SOPHYAOBJP)tsphereecp.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsphereecp.o $(SOPHYAALLSLBLIST)
  
 tspm2: $(SOPHYAEXEP)tspm2
 	echo $@ " done"
 $(SOPHYAEXEP)tspm2: $(SOPHYAOBJP)tspm2.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tspm2.o $(SOPHYAALLSLBLIST)
  
 tspm: $(SOPHYAEXEP)tspm
 	echo $@ " done"
 $(SOPHYAEXEP)tspm: $(SOPHYAOBJP)tspm.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tspm.o $(SOPHYAALLSLBLIST)
  
 tstboloread: $(SOPHYAEXEP)tstboloread
 	echo $@ " done"
 $(SOPHYAEXEP)tstboloread: $(SOPHYAOBJP)tstboloread.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstboloread.o $(SOPHYAALLSLBLIST)
  
 tstcolread: $(SOPHYAEXEP)tstcolread
 	echo $@ " done"
 $(SOPHYAEXEP)tstcolread: $(SOPHYAOBJP)tstcolread.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstcolread.o $(SOPHYAALLSLBLIST)
  
 tstdtable: $(SOPHYAEXEP)tstdtable
 	echo $@ " done"
 $(SOPHYAEXEP)tstdtable: $(SOPHYAOBJP)tstdtable.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstdtable.o $(SOPHYAALLSLBLIST)
  
 tstndblk: $(SOPHYAEXEP)tstndblk
 	echo $@ " done"
 $(SOPHYAEXEP)tstndblk: $(SOPHYAOBJP)tstndblk.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstndblk.o $(SOPHYAALLSLBLIST)
  
 tstppfwrapstl: $(SOPHYAEXEP)tstppfwrapstl
 	echo $@ " done"
 $(SOPHYAEXEP)tstppfwrapstl: $(SOPHYAOBJP)tstppfwrapstl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstppfwrapstl.o $(SOPHYAALLSLBLIST)
  
 tstsegdb: $(SOPHYAEXEP)tstsegdb
 	echo $@ " done"
 $(SOPHYAEXEP)tstsegdb: $(SOPHYAOBJP)tstsegdb.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstsegdb.o $(SOPHYAALLSLBLIST)
  
 tsttmat: $(SOPHYAEXEP)tsttmat
 	echo $@ " done"
 $(SOPHYAEXEP)tsttmat: $(SOPHYAOBJP)tsttmat.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsttmat.o $(SOPHYAALLSLBLIST)
  
 tsttminv: $(SOPHYAEXEP)tsttminv
 	echo $@ " done"
 $(SOPHYAEXEP)tsttminv: $(SOPHYAOBJP)tsttminv.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsttminv.o $(SOPHYAALLSLBLIST)
  
 tsttvec: $(SOPHYAEXEP)tsttvec
 	echo $@ " done"
 $(SOPHYAEXEP)tsttvec: $(SOPHYAOBJP)tsttvec.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsttvec.o $(SOPHYAALLSLBLIST)
  
 ttimestamp: $(SOPHYAEXEP)ttimestamp
 	echo $@ " done"
 $(SOPHYAEXEP)ttimestamp: $(SOPHYAOBJP)ttimestamp.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)ttimestamp.o $(SOPHYAALLSLBLIST)
  
 zthr: $(SOPHYAEXEP)zthr
 	echo $@ " done"
 $(SOPHYAEXEP)zthr: $(SOPHYAOBJP)zthr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
- 
-$(SOPHYAOBJP)arrt.o: arrt.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)zthr.o $(SOPHYAALLSLBLIST)
+ 
+$(SOPHYAOBJP)arrt.o: arrt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -219,7 +220,8 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)carrt.o: carrt.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  arrt.cc
+ 
+$(SOPHYAOBJP)carrt.o: carrt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -246,7 +248,8 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)lpk.o: lpk.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  carrt.cc
+ 
+$(SOPHYAOBJP)lpk.o: lpk.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
@@ -275,5 +278,5 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)intflapack.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lpk.cc
  
 $(SOPHYAOBJP)obj_fits.o: obj_fits.cc \
@@ -313,7 +316,8 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)ovharr.o: ovharr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  obj_fits.cc
+ 
+$(SOPHYAOBJP)ovharr.o: ovharr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -342,7 +346,8 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)pizthr.o: pizthr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ovharr.cc
+ 
+$(SOPHYAOBJP)pizthr.o: pizthr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
@@ -405,5 +410,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pizthr.cc
  
 $(SOPHYAOBJP)ppftswap.o: ppftswap.cc \
@@ -433,7 +438,8 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)tarrinit.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)spar.o: spar.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftswap.cc
+ 
+$(SOPHYAOBJP)spar.o: spar.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -461,7 +467,8 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)sph2lm.o: sph2lm.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spar.cc
+ 
+$(SOPHYAOBJP)sph2lm.o: sph2lm.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)machdefs.h \
@@ -509,7 +516,8 @@
   $(SOPHYAINCP)fftwserver.h \
   $(SOPHYAINCP)fftservintf.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)sphg0.o: sphg0.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sph2lm.cc
+ 
+$(SOPHYAOBJP)sphg0.o: sphg0.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -546,7 +554,8 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)HEALPixUtils.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tcmd.o: tcmd.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphg0.cc
+ 
+$(SOPHYAOBJP)tcmd.o: tcmd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -567,5 +576,5 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tcmd.cc
  
 $(SOPHYAOBJP)tcxxcmpldynl.o: tcxxcmpldynl.cc \
@@ -599,7 +608,8 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tdcr.o: tdcr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tcxxcmpldynl.cc
+ 
+$(SOPHYAOBJP)tdcr.o: tdcr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -632,7 +642,8 @@
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tdynl.o: tdynl.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdcr.cc
+ 
+$(SOPHYAOBJP)tdynl.o: tdynl.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -660,7 +671,8 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tfft.o: tfft.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdynl.cc
+ 
+$(SOPHYAOBJP)tfft.o: tfft.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbrandom.h \
@@ -691,7 +703,8 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)thash.o: thash.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tfft.cc
+ 
+$(SOPHYAOBJP)thash.o: thash.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -701,7 +714,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)timg.o: timg.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  thash.cc
+ 
+$(SOPHYAOBJP)timg.o: timg.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -732,7 +746,8 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tmxv.o: tmxv.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  timg.cc
+ 
+$(SOPHYAOBJP)tmxv.o: tmxv.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
@@ -757,7 +772,8 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tnt.o: tnt.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmxv.cc
+ 
+$(SOPHYAOBJP)tnt.o: tnt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -785,5 +801,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tnt.cc
  
 $(SOPHYAOBJP)tobjio2.o: tobjio2.cc \
@@ -820,7 +836,8 @@
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tobjio.o: tobjio.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio2.cc
+ 
+$(SOPHYAOBJP)tobjio.o: tobjio.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -855,12 +872,13 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tpipe.o: tpipe.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio.cc
+ 
+$(SOPHYAOBJP)tpipe.o: tpipe.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tpipe.cc
  
 $(SOPHYAOBJP)tsimplex.o: tsimplex.cc \
@@ -897,5 +915,5 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsimplex.cc
  
 $(SOPHYAOBJP)tsphereecp.o: tsphereecp.cc \
@@ -956,7 +974,8 @@
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)tod.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tspm2.o: tspm2.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsphereecp.cc
+ 
+$(SOPHYAOBJP)tspm2.o: tspm2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -1009,7 +1028,8 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tspm.o: tspm.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm2.cc
+ 
+$(SOPHYAOBJP)tspm.o: tspm.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -1052,5 +1072,5 @@
   $(SOPHYAINCP)misstime.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm.cc
  
 $(SOPHYAOBJP)tstboloread.o: tstboloread.cc \
@@ -1079,5 +1099,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fabtwriter.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstboloread.cc
  
 $(SOPHYAOBJP)tstcolread.o: tstcolread.cc \
@@ -1105,5 +1125,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fabtwriter.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstcolread.cc
  
 $(SOPHYAOBJP)tstdtable.o: tstdtable.cc \
@@ -1133,5 +1153,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstdtable.cc
  
 $(SOPHYAOBJP)tstndblk.o: tstndblk.cc \
@@ -1144,5 +1164,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstndblk.cc
  
 $(SOPHYAOBJP)tstppfwrapstl.o: tstppfwrapstl.cc \
@@ -1162,5 +1182,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstppfwrapstl.cc
  
 $(SOPHYAOBJP)tstsegdb.o: tstsegdb.cc \
@@ -1185,5 +1205,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppfwrapstlv.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstsegdb.cc
  
 $(SOPHYAOBJP)tsttmat.o: tsttmat.cc \
@@ -1214,5 +1234,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttmat.cc
  
 $(SOPHYAOBJP)tsttminv.o: tsttminv.cc \
@@ -1245,5 +1265,5 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)intflapack.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttminv.cc
  
 $(SOPHYAOBJP)tsttvec.o: tsttvec.cc \
@@ -1274,5 +1294,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttvec.cc
  
 $(SOPHYAOBJP)ttimestamp.o: ttimestamp.cc \
@@ -1286,11 +1306,12 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)zthr.o: zthr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ttimestamp.cc
+ 
+$(SOPHYAOBJP)zthr.o: zthr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  zthr.cc
+ 
Index: /trunk/SophyaProg/Tests/smakefile
===================================================================
--- /trunk/SophyaProg/Tests/smakefile	(revision 2768)
+++ /trunk/SophyaProg/Tests/smakefile	(revision 2769)
@@ -12,187 +12,188 @@
 	echo $@ " done"
 $(SOPHYAEXEP)arrt: $(SOPHYAOBJP)arrt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)arrt.o $(SOPHYAALLSLBLIST)
  
 carrt: $(SOPHYAEXEP)carrt
 	echo $@ " done"
 $(SOPHYAEXEP)carrt: $(SOPHYAOBJP)carrt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)carrt.o $(SOPHYAALLSLBLIST)
  
 lpk: $(SOPHYAEXEP)lpk
 	echo $@ " done"
 $(SOPHYAEXEP)lpk: $(SOPHYAOBJP)lpk.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)lpk.o $(SOPHYAALLSLBLIST)
  
 obj_fits: $(SOPHYAEXEP)obj_fits
 	echo $@ " done"
 $(SOPHYAEXEP)obj_fits: $(SOPHYAOBJP)obj_fits.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)obj_fits.o $(SOPHYAALLSLBLIST)
  
 ovharr: $(SOPHYAEXEP)ovharr
 	echo $@ " done"
 $(SOPHYAEXEP)ovharr: $(SOPHYAOBJP)ovharr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)ovharr.o $(SOPHYAALLSLBLIST)
  
 pizthr: $(SOPHYAEXEP)pizthr
 	echo $@ " done"
 $(SOPHYAEXEP)pizthr: $(SOPHYAOBJP)pizthr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pizthr.o $(SOPHYAALLSLBLIST)
  
 ppftswap: $(SOPHYAEXEP)ppftswap
 	echo $@ " done"
 $(SOPHYAEXEP)ppftswap: $(SOPHYAOBJP)ppftswap.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)ppftswap.o $(SOPHYAALLSLBLIST)
  
 spar: $(SOPHYAEXEP)spar
 	echo $@ " done"
 $(SOPHYAEXEP)spar: $(SOPHYAOBJP)spar.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)spar.o $(SOPHYAALLSLBLIST)
  
 sphg0: $(SOPHYAEXEP)sphg0
 	echo $@ " done"
 $(SOPHYAEXEP)sphg0: $(SOPHYAOBJP)sphg0.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)sphg0.o $(SOPHYAALLSLBLIST)
  
 sph2lm: $(SOPHYAEXEP)sph2lm
 	echo $@ " done"
 $(SOPHYAEXEP)sph2lm: $(SOPHYAOBJP)sph2lm.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)sph2lm.o $(SOPHYAALLSLBLIST)
  
 tcmd: $(SOPHYAEXEP)tcmd
 	echo $@ " done"
 $(SOPHYAEXEP)tcmd: $(SOPHYAOBJP)tcmd.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tcmd.o $(SOPHYAALLSLBLIST)
  
 tcxxcmpldynl: $(SOPHYAEXEP)tcxxcmpldynl
 	echo $@ " done"
 $(SOPHYAEXEP)tcxxcmpldynl: $(SOPHYAOBJP)tcxxcmpldynl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tcxxcmpldynl.o $(SOPHYAALLSLBLIST)
  
 tdcr: $(SOPHYAEXEP)tdcr
 	echo $@ " done"
 $(SOPHYAEXEP)tdcr: $(SOPHYAOBJP)tdcr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tdcr.o $(SOPHYAALLSLBLIST)
  
 tdynl: $(SOPHYAEXEP)tdynl
 	echo $@ " done"
 $(SOPHYAEXEP)tdynl: $(SOPHYAOBJP)tdynl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tdynl.o $(SOPHYAALLSLBLIST)
  
 tfft: $(SOPHYAEXEP)tfft
 	echo $@ " done"
 $(SOPHYAEXEP)tfft: $(SOPHYAOBJP)tfft.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tfft.o $(SOPHYAALLSLBLIST)
  
 thash: $(SOPHYAEXEP)thash
 	echo $@ " done"
 $(SOPHYAEXEP)thash: $(SOPHYAOBJP)thash.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)thash.o $(SOPHYAALLSLBLIST)
  
 timg: $(SOPHYAEXEP)timg
 	echo $@ " done"
 $(SOPHYAEXEP)timg: $(SOPHYAOBJP)timg.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)timg.o $(SOPHYAALLSLBLIST)
  
 tmxv: $(SOPHYAEXEP)tmxv
 	echo $@ " done"
 $(SOPHYAEXEP)tmxv: $(SOPHYAOBJP)tmxv.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tmxv.o $(SOPHYAALLSLBLIST)
  
 tnt: $(SOPHYAEXEP)tnt
 	echo $@ " done"
 $(SOPHYAEXEP)tnt: $(SOPHYAOBJP)tnt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tnt.o $(SOPHYAALLSLBLIST)
  
 tobjio2: $(SOPHYAEXEP)tobjio2
 	echo $@ " done"
 $(SOPHYAEXEP)tobjio2: $(SOPHYAOBJP)tobjio2.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tobjio2.o $(SOPHYAALLSLBLIST)
  
 tobjio: $(SOPHYAEXEP)tobjio
 	echo $@ " done"
 $(SOPHYAEXEP)tobjio: $(SOPHYAOBJP)tobjio.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tobjio.o $(SOPHYAALLSLBLIST)
  
 tpipe: $(SOPHYAEXEP)tpipe
 	echo $@ " done"
 $(SOPHYAEXEP)tpipe: $(SOPHYAOBJP)tpipe.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tpipe.o $(SOPHYAALLSLBLIST)
  
 tsimplex: $(SOPHYAEXEP)tsimplex
 	echo $@ " done"
 $(SOPHYAEXEP)tsimplex: $(SOPHYAOBJP)tsimplex.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsimplex.o $(SOPHYAALLSLBLIST)
  
 tsphereecp: $(SOPHYAEXEP)tsphereecp
 	echo $@ " done"
 $(SOPHYAEXEP)tsphereecp: $(SOPHYAOBJP)tsphereecp.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsphereecp.o $(SOPHYAALLSLBLIST)
  
 tspm2: $(SOPHYAEXEP)tspm2
 	echo $@ " done"
 $(SOPHYAEXEP)tspm2: $(SOPHYAOBJP)tspm2.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tspm2.o $(SOPHYAALLSLBLIST)
  
 tspm: $(SOPHYAEXEP)tspm
 	echo $@ " done"
 $(SOPHYAEXEP)tspm: $(SOPHYAOBJP)tspm.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tspm.o $(SOPHYAALLSLBLIST)
  
 tstboloread: $(SOPHYAEXEP)tstboloread
 	echo $@ " done"
 $(SOPHYAEXEP)tstboloread: $(SOPHYAOBJP)tstboloread.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstboloread.o $(SOPHYAALLSLBLIST)
  
 tstcolread: $(SOPHYAEXEP)tstcolread
 	echo $@ " done"
 $(SOPHYAEXEP)tstcolread: $(SOPHYAOBJP)tstcolread.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstcolread.o $(SOPHYAALLSLBLIST)
  
 tstdtable: $(SOPHYAEXEP)tstdtable
 	echo $@ " done"
 $(SOPHYAEXEP)tstdtable: $(SOPHYAOBJP)tstdtable.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstdtable.o $(SOPHYAALLSLBLIST)
  
 tstndblk: $(SOPHYAEXEP)tstndblk
 	echo $@ " done"
 $(SOPHYAEXEP)tstndblk: $(SOPHYAOBJP)tstndblk.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstndblk.o $(SOPHYAALLSLBLIST)
  
 tstppfwrapstl: $(SOPHYAEXEP)tstppfwrapstl
 	echo $@ " done"
 $(SOPHYAEXEP)tstppfwrapstl: $(SOPHYAOBJP)tstppfwrapstl.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstppfwrapstl.o $(SOPHYAALLSLBLIST)
  
 tstsegdb: $(SOPHYAEXEP)tstsegdb
 	echo $@ " done"
 $(SOPHYAEXEP)tstsegdb: $(SOPHYAOBJP)tstsegdb.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tstsegdb.o $(SOPHYAALLSLBLIST)
  
 tsttmat: $(SOPHYAEXEP)tsttmat
 	echo $@ " done"
 $(SOPHYAEXEP)tsttmat: $(SOPHYAOBJP)tsttmat.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsttmat.o $(SOPHYAALLSLBLIST)
  
 tsttminv: $(SOPHYAEXEP)tsttminv
 	echo $@ " done"
 $(SOPHYAEXEP)tsttminv: $(SOPHYAOBJP)tsttminv.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsttminv.o $(SOPHYAALLSLBLIST)
  
 tsttvec: $(SOPHYAEXEP)tsttvec
 	echo $@ " done"
 $(SOPHYAEXEP)tsttvec: $(SOPHYAOBJP)tsttvec.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tsttvec.o $(SOPHYAALLSLBLIST)
  
 ttimestamp: $(SOPHYAEXEP)ttimestamp
 	echo $@ " done"
 $(SOPHYAEXEP)ttimestamp: $(SOPHYAOBJP)ttimestamp.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)ttimestamp.o $(SOPHYAALLSLBLIST)
  
 zthr: $(SOPHYAEXEP)zthr
 	echo $@ " done"
 $(SOPHYAEXEP)zthr: $(SOPHYAOBJP)zthr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
- 
-$(SOPHYAOBJP)arrt.o: arrt.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)zthr.o $(SOPHYAALLSLBLIST)
+ 
+$(SOPHYAOBJP)arrt.o: arrt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -219,7 +220,8 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)carrt.o: carrt.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  arrt.cc
+ 
+$(SOPHYAOBJP)carrt.o: carrt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -246,7 +248,8 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)lpk.o: lpk.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  carrt.cc
+ 
+$(SOPHYAOBJP)lpk.o: lpk.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
@@ -275,5 +278,5 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)intflapack.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lpk.cc
  
 $(SOPHYAOBJP)obj_fits.o: obj_fits.cc \
@@ -313,7 +316,8 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)ovharr.o: ovharr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  obj_fits.cc
+ 
+$(SOPHYAOBJP)ovharr.o: ovharr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -342,7 +346,8 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)pizthr.o: pizthr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ovharr.cc
+ 
+$(SOPHYAOBJP)pizthr.o: pizthr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
@@ -405,5 +410,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pizthr.cc
  
 $(SOPHYAOBJP)ppftswap.o: ppftswap.cc \
@@ -433,7 +438,8 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)tarrinit.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)spar.o: spar.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftswap.cc
+ 
+$(SOPHYAOBJP)spar.o: spar.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -461,7 +467,8 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)sph2lm.o: sph2lm.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spar.cc
+ 
+$(SOPHYAOBJP)sph2lm.o: sph2lm.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)machdefs.h \
@@ -509,7 +516,8 @@
   $(SOPHYAINCP)fftwserver.h \
   $(SOPHYAINCP)fftservintf.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)sphg0.o: sphg0.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sph2lm.cc
+ 
+$(SOPHYAOBJP)sphg0.o: sphg0.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -546,7 +554,8 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)HEALPixUtils.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tcmd.o: tcmd.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphg0.cc
+ 
+$(SOPHYAOBJP)tcmd.o: tcmd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -567,5 +576,5 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tcmd.cc
  
 $(SOPHYAOBJP)tcxxcmpldynl.o: tcxxcmpldynl.cc \
@@ -599,7 +608,8 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tdcr.o: tdcr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tcxxcmpldynl.cc
+ 
+$(SOPHYAOBJP)tdcr.o: tdcr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -632,7 +642,8 @@
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tdynl.o: tdynl.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdcr.cc
+ 
+$(SOPHYAOBJP)tdynl.o: tdynl.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -660,7 +671,8 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tfft.o: tfft.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdynl.cc
+ 
+$(SOPHYAOBJP)tfft.o: tfft.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbrandom.h \
@@ -691,7 +703,8 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)thash.o: thash.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tfft.cc
+ 
+$(SOPHYAOBJP)thash.o: thash.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -701,7 +714,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)timg.o: timg.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  thash.cc
+ 
+$(SOPHYAOBJP)timg.o: timg.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -732,7 +746,8 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tmxv.o: tmxv.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  timg.cc
+ 
+$(SOPHYAOBJP)tmxv.o: tmxv.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
@@ -757,7 +772,8 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tnt.o: tnt.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmxv.cc
+ 
+$(SOPHYAOBJP)tnt.o: tnt.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -785,5 +801,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tnt.cc
  
 $(SOPHYAOBJP)tobjio2.o: tobjio2.cc \
@@ -820,7 +836,8 @@
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tobjio.o: tobjio.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio2.cc
+ 
+$(SOPHYAOBJP)tobjio.o: tobjio.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -855,12 +872,13 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tpipe.o: tpipe.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio.cc
+ 
+$(SOPHYAOBJP)tpipe.o: tpipe.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tpipe.cc
  
 $(SOPHYAOBJP)tsimplex.o: tsimplex.cc \
@@ -897,5 +915,5 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsimplex.cc
  
 $(SOPHYAOBJP)tsphereecp.o: tsphereecp.cc \
@@ -956,7 +974,8 @@
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)tod.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tspm2.o: tspm2.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsphereecp.cc
+ 
+$(SOPHYAOBJP)tspm2.o: tspm2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -1009,7 +1028,8 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)tspm.o: tspm.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm2.cc
+ 
+$(SOPHYAOBJP)tspm.o: tspm.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -1052,5 +1072,5 @@
   $(SOPHYAINCP)misstime.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm.cc
  
 $(SOPHYAOBJP)tstboloread.o: tstboloread.cc \
@@ -1079,5 +1099,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fabtwriter.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstboloread.cc
  
 $(SOPHYAOBJP)tstcolread.o: tstcolread.cc \
@@ -1105,5 +1125,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fabtwriter.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstcolread.cc
  
 $(SOPHYAOBJP)tstdtable.o: tstdtable.cc \
@@ -1133,5 +1153,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstdtable.cc
  
 $(SOPHYAOBJP)tstndblk.o: tstndblk.cc \
@@ -1144,5 +1164,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstndblk.cc
  
 $(SOPHYAOBJP)tstppfwrapstl.o: tstppfwrapstl.cc \
@@ -1162,5 +1182,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstppfwrapstl.cc
  
 $(SOPHYAOBJP)tstsegdb.o: tstsegdb.cc \
@@ -1185,5 +1205,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppfwrapstlv.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstsegdb.cc
  
 $(SOPHYAOBJP)tsttmat.o: tsttmat.cc \
@@ -1214,5 +1234,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttmat.cc
  
 $(SOPHYAOBJP)tsttminv.o: tsttminv.cc \
@@ -1245,5 +1265,5 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)intflapack.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttminv.cc
  
 $(SOPHYAOBJP)tsttvec.o: tsttvec.cc \
@@ -1274,5 +1294,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILEPROG) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttvec.cc
  
 $(SOPHYAOBJP)ttimestamp.o: ttimestamp.cc \
@@ -1286,11 +1306,12 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
-$(SOPHYAOBJP)zthr.o: zthr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ttimestamp.cc
+ 
+$(SOPHYAOBJP)zthr.o: zthr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILEPROG) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  zthr.cc
+ 
